%This case study demonstrates a simple (basic) setup of a single-period
%portfolio optimization problem when risk is measured by CVaR. 

clear;

load('ThisData', 'Hmatr', 'dmatr', 'Aeqmatr', 'beqvec', 'lbvec');
N_Par = 20;
options.PlotGraph = 'On';
options.PlotType = 1;
options.ScaleParam = 1;
warning('off', 'all');
format long;
[Objectives, Parameters, Points, GraphHandle]=riskconstrparam ([],'cvar_risk', [], [], [], [], ...
    0.95, Hmatr, [], [], -dmatr,  0.075, [], [], Aeqmatr, beqvec, lbvec, [], 'r', [],[],N_Par,...
    [], [], [], [], options);
%cd('.\CS_Beyond_Black-Litterman');
warning('on', 'all');
fprintf('Points: %d\n', length(Parameters));
fprintf('Parameters  Objectives:\n');
fprintf('%f\t%f\n', [Parameters; Objectives]);
fprintf('Optimal Points:\n');
disp(Points);

%=======================================================================|
%American Optimal Decisions, Inc. Copyright                             |
%Copyright American Optimal Decisions, Inc. 2007-2014.                 |
%American Optimal Decisions (AOD) retains copyrights to this material.  |
%                                                                       |
%Permission to reproduce this document and to prepare derivative works  |
%from this document for internal use is granted, provided the copyright |
%and No Warranty  statements are included with all reproductions       |
%and derivative works.                                                  |
%                                                                       |
%For information regarding external or commercial use of copyrighted    |
%materials owned by AOD, contact AOD at support@aorda.com.              |
%=======================================================================|

