%This case study demonstrates a simple (basic) setup of a single-period
%portfolio optimization problem when risk is measured by CVaR. 

clear;
load('ThisData', 'Hmatr', 'dmatr', 'Aeqmatr', 'beqvec', 'lbvec');

N_Par = 20;
clear options;
options.PlotGraph = 'On';
options.PlotType = 2;
options.ScaleParam = -1;
format long;
[Objectives, Parameters, Points, GraphHandle]= riskparam ('cvar_risk', 0.95, Hmatr, [], [], [], dmatr', -0.00105, Aeqmatr, beqvec, lbvec, [], 'b', [],[],N_Par, [], [], [],[],options);
fprintf('Points: %d\n', length(Parameters));
fprintf('Parameters  Objectives:\n');
fprintf('%f\t%f\n', [Parameters; Objectives]);
fprintf('Optimal Points:\n');
disp(Points);

%=======================================================================|
%American Optimal Decisions, Inc. Copyright                             |
%Copyright American Optimal Decisions, Inc. 2007-2014.                 |
%American Optimal Decisions (AOD) retains copyrights to this material.  |
%                                                                       |
%Permission to reproduce this document and to prepare derivative works  |
%from this document for internal use is granted, provided the copyright |
%and No Warranty  statements are included with all reproductions       |
%and derivative works.                                                  |
%                                                                       |
%For information regarding external or commercial use of copyrighted    |
%materials owned by AOD, contact AOD at support@aorda.com.              |
%=======================================================================|

